@abstract
class_name SceneTrigger extends Resource

@export var target_act_id: int 
@export var monitor_signal: StringName
@export var guards: Array[SceneGuard]
@export var trans_overwrite: int = 0

func can_trigger(args: Array) -> bool:
	for g in guards:
		if not g.check(args):
			return false
	
	return true
